package com.pdaaphm.system.service;

import java.util.List;

import com.pdaaphm.system.domain.AlgConfig;
import com.pdaaphm.system.domain.Data;
import com.pdaaphm.system.domain.TDataProcess;

/**
 * 数据处理Service接口
 * 
 * @author ruoyi
 * @date 2024-08-20
 */
public interface ITDataProcessService 
{
    /**
     * 查询数据处理
     * 
     * @param id 数据处理主键
     * @return 数据处理
     */
    public TDataProcess selectTDataProcessById(Long id);

    /**
     * 查询数据处理列表
     * 
     * @param tDataProcess 数据处理
     * @return 数据处理集合
     */
    public List<TDataProcess> selectTDataProcessList(TDataProcess tDataProcess);

    /**
     * 新增数据处理
     * 
     * @param tDataProcess 数据处理
     * @return 结果
     */
    public int insertTDataProcess(TDataProcess tDataProcess);

    /**
     * 修改数据处理
     * 
     * @param tDataProcess 数据处理
     * @return 结果
     */
    public int updateTDataProcess(TDataProcess tDataProcess);

    /**
     * 批量删除数据处理
     * 
     * @param ids 需要删除的数据处理主键集合
     * @return 结果
     */
    public int deleteTDataProcessByIds(Long[] ids);

    /**
     * 删除数据处理信息
     * 
     * @param id 数据处理主键
     * @return 结果
     */
    public int deleteTDataProcessById(Long id);

    List<TDataProcess> getDataProcessByType(String type);

    String runDataProcess(Long id);

    public void asyncRunDataProcess(TDataProcess dataProcess, AlgConfig algConfig, Data data, String bizAlgType);

    List<TDataProcess> selectPreprocessDataList(TDataProcess tDataProcess);
}
